#!/bin/bash
cert_name="${1:?}"
compose_ctx="${2:?}"

chown -v '70:70' '/opt/docker-data/zabbixserver-'"${compose_ctx}"'/postgres/config/cert/'{'ca.cer',"${cert_name}"'.'{'cer','key'}}
chmod -v '0600' '/opt/docker-data/zabbixserver-'"${compose_ctx}"'/postgres/config/cert/'{'ca.cer',"${cert_name}"'.'{'cer','key'}}
if systemctl --quiet is-active docker.service; then
    if [ "$( docker container inspect -f '{{.State.Running}}' 'zabbixserver-postgres-'"${compose_ctx}" )" = "true" ]; then
        docker exec -t 'zabbixserver-postgres-'"${compose_ctx}" sh -c 'pg_ctl reload -s'
    fi
fi
